Back to Redis

Updates

content/operate/rs/7.4/references/rest-api/requests/crdbs/updates.md

latest2.5 KB
Original Source
MethodPathDescription
POST/v1/crdbs/{crdb_guid}/updatesModify Active-Active confgurarion

Modify Active-Active configuration {#post-crdbs-updates}

POST /v1/crdbs/{crdb_guid}/updates

Modify Active-Active configuration.

{{<warning>}} This is a very powerful API request and can cause damage if used incorrectly. {{</warning>}}

In order to add or remove instances, you must use this API. For simple configuration updates, it is recommended to use PATCH on /crdbs/{crdb_guid} instead.

Updating default_db_config affects both existing and new instances that may be added.

When you update db_config, it changes the configuration of the database that you specify. This field overrides corresponding fields (if any) in default_db_config.

Request {#post-request}

Example HTTP request

POST /v1/crdbs/1/updates

Request headers

KeyValueDescription
X-Task-IDstringSpecified task ID
X-Result-TTLintegerTime (in seconds) to keep task result

URL parameters

FieldTypeDescription
crdb_guidstringGlobally unique Active-Active database ID (GUID)

Query parameters

FieldTypeDescription
dry_runbooleanValidate the request without applying changes (optional)

Request body

Include a [CRDB modify_request object]({{< relref "/operate/rs/7.4/references/rest-api/objects/crdb/modify_request" >}}) with updated fields in the request body.

Response {#post-response}

Returns a [CRDB task object]({{< relref "/operate/rs/7.4/references/rest-api/objects/crdb_task" >}}).

Status codes {#post-status-codes}

CodeDescription
200 OKThe request has been accepted.
400 Bad RequestThe posted Active-Active database contains invalid parameters.
401 UnauthorizedUnauthorized request. Invalid credentials
404 Not FoundConfiguration, instance or Active-Active database not found.
406 Not AcceptableThe posted Active-Active database cannot be accepted.